<?php
/**
 * Шаблон страницы товара
 *
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    6.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2016 OOO «Диафан» (http://www.diafan.ru/)
 */

if (! defined('DIAFAN'))
{
    $path = __FILE__; $i = 0;
  while(! file_exists($path.'/includes/404.php'))
  {
    if($i == 10) exit; $i++;
    $path = dirname($path);
  }
  include $path.'/includes/404.php';
}



echo '<div class="bg-line"><div class="js_shop_id js_shop shop shop_id shop-item-container row">';


echo '<div class="col-md-7 produc-img"><div class="bgblock">';

echo '<div class="position-cw">';

// if(empty($result["hide_compare"]))
//  {
//      echo $this->get('compare_form', 'shop', $result);
//      //echo $this->get('compared_goods_list', 'shop', array("site_id" => $result["site_id"], "shop_link" => $result['shop_link']));
//  }

  echo '<span class="js_shop_wishlist shop_wishlist shop-like" >
      <span data-toggle="tooltip" data-placement="top" title="Добавить в отложенные" class="glyphicon glyphicon-heart-empty '.(! empty($result["wish"]) ? ' active' : '').'"></span>

    </span>';
echo '</div>';

//вывод изображений товара
if (!empty($result["img"]))
{
  echo '<div class="js_shop_all_img shop_all_img shop-item-big-images">';
  $k = 0;
  foreach ($result["img"] as $img)
  {
    switch ($img["type"])
    {
      case 'animation':
        echo '<a class="js_shop_img shop-item-image'.(empty($k) ? ' active' : '').'" href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$result["id"].'shop]" style="background-image:url('.BASE_PATH.$img["link"].')" image_id="'.$img["id"].'">';
        break;
      case 'large_image':
        echo '<a class="js_shop_img shop-item-image'.(empty($k) ? ' active' : '').'" href="'.BASE_PATH.$img["link"].'" rel="large_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'" style="background-image:url('.BASE_PATH.$img["link"].')" image_id="'.$img["id"].'">';
        break;
      default:
        echo '<a class="js_shop_img shop-item-image'.(empty($k) ? ' active' : '').'" href="'.BASE_PATH.$img["link"].'" style="background-image:url('.BASE_PATH_HREF.$img["link"].')" image_id="'.$img["id"].'">';
        break;
    }
    echo '<div class="item"><img src="'.BASE_PATH.$img["link"].'" alt="'.$img["alt"].'" title="'.$img["title"].'" image_id="'.$img["id"].'" class="img-responsive shop_id_img"></div>';
    echo '</a>';
    $k++;
  }



    echo '</div>';



    if (!empty($result['hit']))
    {
      echo '<span class="label label-info hits">ХИТ</span>';
    }
    if (!empty($result['action']))
    {
      echo '<span class="label label-warning actions">SALE</span>';
    }
    if (!empty($result['new']))
    {
      echo '<span class="label label-danger newanka">NEW</span>';
    }
    //скидка на товар
    if (!empty($result["discount"]))
    {
      echo '<div class="shop_discount label label-danger">'.$this->diafan->_('').' <span class="shop_discount_value">'.$result["discount"].' '.$result["discount_currency"].($result["discount_finish"] ? ' ('.$this->diafan->_('до').' '.$result["discount_finish"].')' : '').'</span></div>';
    }







  if($result["preview_images"])
  {
    echo '<div  class="shop_preview_img shop-item-previews items-scroller clearfix">';
    foreach ($result["img"] as $img)
    {
      echo '<div class="item pull-left"> <a class="js_shop_preview_img" href="#" image_id="'.$img["id"].'"><img src="'.$img["preview"].'" class="thumbnail" alt=""></a></div>';
    }
    echo '</div>';
  }

}

echo '</div>';
echo '</div>';

echo '<div class="col-md-5"><div class="bgblock panel panel-default">
<div class="block_header panel-heading">';
//вывод артикула
if (!empty($result["article"]))
{
  echo '<div class="shop-item-artikul"><span class="label label-default">'.$this->diafan->_('Артикул').': '.$result["article"].'</span></div>';
}
echo '</div>';
echo '<div class="description-product panel-body">';



//вывод рейтинга товара
if (!empty($result["rating"]))
{
  echo '<div class="shop-item-rate rate text-muted">'.$this->diafan->_('Рейтинг').": ";
  echo $result["rating"];
  echo '</div>';
}

//вывод производителя
if (!empty($result["brand"]))
{
  echo '<div class="shop_brand text-muted">';
  echo $this->diafan->_('Производитель').': ';
  echo '<a href="'.BASE_PATH_HREF.$result["brand"]["link"].'">'.$result["brand"]["name"].'</a>';
  echo '</div>';
}

//краткое описание товара
if (!empty($result["anons"]))
{
echo '
<div class="shop_text text-muted">'.$this->htmleditor($result['anons']).'</div>';
}

//кнопка "Купить"
echo '<div class="">';
echo $this->get('buy_form_id', 'shop', array("row" => $result, "result" => $result));
echo '</div>';

$n = array(
    'Условия доставки'=>$this->htmleditor('<insert name="show_block" module="site" id="3">'),
    'Условия возврата'=>$this->htmleditor('<insert name="show_block" module="site" id="4">'),
	'Информация о гарантии'=>$this->htmleditor('<insert name="show_dynamic" module="site" id="2">')	
);

if(!empty($n)) {
    
    $nn = '';
  
    foreach($n as $k=>$v) {
        if(empty($v))            continue;
        $nn.=$this->diafan->_($k).':'.$v;
    }
    if(!empty($nn))
    echo  '<div class="well mt15">'.$nn.'</div>';
}




echo '<div class="">';



//счетчик просмотров
if(! empty($result["counter"]))
{
  echo '<div class="shop_counter text-muted">'.$this->diafan->_('Просмотров').': '.$result["counter"].'</div>';
}



//теги товара
if (!empty($result["tags"]))
{
  echo $result["tags"];
}





    echo '<br>'.$this->htmleditor('<insert name="show_social_links">');

echo '</div>';



echo '</div>';
echo '</div>';
echo '</div>';



echo '</div>';
echo '</div>';





echo '<div class="tabbable-panel"><div class="tabbable-line">


  <ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="active"><a href="#home" aria-controls="home" role="tab" data-toggle="tab">'.$this->diafan->_('Описание').'</a></li>
    <li role="presentation"><a href="#features" aria-controls="home" role="tab" data-toggle="tab">'.$this->diafan->_('Характеристики').'</a></li>
    <li role="presentation"><a href="#profile" aria-controls="profile" role="tab" data-toggle="tab">'.$this->diafan->_('Дополнительные принадлежности').'</a></li>
  </ul>


  <div class="tab-content">
    <div role="tabpanel" class="tab-pane active" id="home">';
    //полное описание товара
    echo ''.$this->htmleditor($result['text']).'';
    echo '</div>
    <div role="tabpanel" class="tab-pane" id="features">';
    //параметры товара
    if (!empty($result["param"]))
    {
      echo ''.$this->get('param', 'shop', array("rows" => $result["param"], "id" => $result["id"])).'';
    }
    echo '</div>
    <div role="tabpanel" class="tab-pane body" id="profile"><div style="display:table;width:100%">';
    //Дополнительные принадлежности (динамический блок)
      echo $this->htmleditor('<insert name="show_dynamic" module="site" count="12" id="1">');      

	
//товары в разделе
if (!empty($result["rows"]))
{
	echo '<section class="shop-pane shop-pane-rel row row-flex">';
	echo $this->get('rows2','shop',$result);
	echo '</section>';

	if(count($result['rows']) > 12) {
		echo '<button class="btn btn-warning btn-visible-rel" type="button">'.$this->diafan->_('Показать ещё').'</button>';
	}
}
echo '</div></div>
  </div>

</div></div>';








echo $this->htmleditor('<insert name="show_block_order_rel" module="shop" count="4" images="1">');

echo $this->htmleditor('<insert name="show_block_rel" module="shop" count="24" images="1">');









//ссылки на предыдущий и последующий товар
if (! empty($result["previous"]) || ! empty($result["next"]))
{
  echo '<ul class="pager">';
  if (! empty($result["previous"]))
  {
    echo '<li class="previous"><a href="'.BASE_PATH_HREF.$result["previous"]["link"].'">&larr; '.$result["previous"]["text"].'</a></li>';
  }
  if (! empty($result["next"]))
  {
    echo '<li class="next"><a href="'.BASE_PATH_HREF.$result["next"]["link"].'">'.$result["next"]["text"].' &rarr;</a></li>';
  }

}
echo '</ul>';
